TransferStatus (The Data transfer common objects 2.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.datatransfer.common.outcome

## Enum TransferStatus

- java.lang.Object
- - java.lang.Enum<TransferStatus>
  - - org.gcube.datatransfer.common.outcome.TransferStatus

- All Implemented Interfaces:
    Serializable, Comparable<TransferStatus>

      public enum TransferStatus
      extends Enum<TransferStatus>

  Author:
    Andrea Manzi

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCEL`
    `DONE`
    `DONE_WITH_ERRORS`
    `FAILED`
    `QUEUED`
    `STARTED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasCompleted()`
    `boolean` | `hasErrors()`
    `String` | `toString()`
    `static TransferStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TransferStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DONE_WITH_ERRORS

          public static final TransferStatus DONE_WITH_ERRORS

    - #### QUEUED

          public static final TransferStatus QUEUED

    - #### STARTED

          public static final TransferStatus STARTED

    - #### DONE

          public static final TransferStatus DONE

    - #### CANCEL

          public static final TransferStatus CANCEL

    - #### FAILED

          public static final TransferStatus FAILED

  - ### Method Detail

    - #### values

          public static TransferStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransferStatus c : TransferStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransferStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<TransferStatus>`

    - #### hasCompleted

          public boolean hasCompleted()

    - #### hasErrors

          public boolean hasErrors()

Copyright © 2015. All Rights Reserved.